<bugID>1387123<Summary>Replace all usages of require(promise).defer by require(devtools/shared/defer).defer</Summary><Description>In order to help removing usages of Promise.jsm, we could automatically convert all usages of require("promise").defer as that's the only one API from Promise.jsm that doesn't work with DOM Promise.

We already have an helper module: devtools/shared/defer which exposes just and only that.
Ideally, we would followup to ensure that we can't replace some usages by plain DOM Promise, with the constructor pattern like: "new Promise(done =&gt; {})".</Description></bugID>